# iOS SDK v6.7.0 Deprecation Note

### Deprecated APIs

**AmityCommunityRepository:**

| Methods                                     | Remarks                                          |
| ------------------------------------------- | ------------------------------------------------ |
| createCommunity(options:, completion:)      | Use async createCommunity( options:)instead.     |
| joinCommunity(communityId:, completion:)    | Use async joinCommunity(communityId:)instead.    |
| leaveCommunity(communityId:, completion:)   | Use async leaveCommunity(communityId:)instead.   |
| updateCommunity(id:, options:, completion:) | Use async updateCommunity(id:, options:)instead. |

**AmityCommunityParticipation**

Deprecated `AmityCommunityParticipation` class. Use `AmityCommunityMembership` instead.

| Methods                                          | Remarks                                                                                        |
| ------------------------------------------------ | ---------------------------------------------------------------------------------------------- |
| addMembers(userIds:, completion:)                | Use async addMembers(userIds:)in AmityCommunityMembership instead.                             |
| removeMembers(userIds:, completion:)             | Use async removeMembers(userIds:)in AmityCommunityMembership instead.                          |
| getMember(userId:)                               | Use async getMember(userId:) in AmityCommunityMembership instead.                              |
| getMembers(membershipOptions: , roles:, sortBy:) | Use async getMembers(membershipOptions: , roles:, sortBy:)in AmityCommunityMembership instead. |

**AmityCommunityModeration**

| Methods                                    | Remarks                                         |
| ------------------------------------------ | ----------------------------------------------- |
| banMembers(userIds:, completion: )         | Use async  banMembers(userIds:)instead.         |
| unbanMembers(userIds:, completion:)        | Use async unbanMembers(userIds:)instead.        |
| addRoles(roles:, userIds:, completion:)    | Use async leaveCommunity(communityId:)instead.  |
| removeRoles(roles:, userIds:, completion:) | Use async removeRoles(roles:, userIds:)instead. |

**AmityPostRepository**

| Methods                                                                           | Remarks                                                                                     |
| --------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- |
| createPost(builder:, targetId:, targetType:, completion:)                         | Use async createPost(builder:, targetId:, targetType:)instead.                              |
| createPost(builder:, targetId:, targetType:, metadata:, mentionees:, completion:) | Use async createPost(builder:, targetId:, targetType:, metadata:, mentionees:)instead.      |
| updatePost(postId:, builder:, completion:)                                        | Use async editPost(postId:, builder:)instead.                                               |
| updatePost(postId:, builder:, metadata:, mentionees:, completion:)                | Use async editPost(postId:, builder:, metadata:, mentionees:)instead.                       |
| deletePost(postId:, parentId:, hardDelete:, completion:)                          | Use async softDeletePost(postId:, parentId:) or hardDeletePost(postId:, parentId:) instead. |
| approvePost(postId:, completion:)                                                 | Use async approvePost(postId:) instead.                                                     |
| declinePost(postId:, completion:)                                                 | Use async declinePost(postId:)instead.                                                      |

**AmityPostFlagger**

Deprecated APIs in `AmityPostFlagger` class. Use APIs in `AmityPostRepository` instead.

| Methods                        | Remarks                                                         |
| ------------------------------ | --------------------------------------------------------------- |
| flagPost(completion:)          | Use async flagPost(postId:) in AmityPostRepository instead.     |
| unflagPost(completion:)        | Use async unflagPost(postId:) in AmityPostRepository instead.   |
| isPostFlaggedByMe(completion:) | Use async isFlaggedByMe(postId:)in AmityPostRepository instead. |

**AmityUserFlagger**

Deprecated APIs in `AmityUserFlagger` class. Use APIs in `AmityUserRepository` instead.

| Methods                    | Remarks                                                             |
| -------------------------- | ------------------------------------------------------------------- |
| flag(completion:)          | Use async flagUser(userId:) in AmityUserRepository instead.         |
| unflag(completion:)        | Use async unflagUser(userId:) in AmityUserRepository instead.       |
| isFlaggedByMe(completion:) | Use async isUserFlaggedByMe(userId:)in AmityUserRepository instead. |

**AmityPollRepository**

| Methods                                    | Remarks                                         |
| ------------------------------------------ | ----------------------------------------------- |
| createPoll(options:, completion:)          | Use async createPoll(options:)instead.          |
| closePoll(pollId:, completion:)            | Use async closePoll(pollId:)instead.            |
| votePoll(pollId:, answerIds:, completion:) | Use async votePoll(pollId:, answerIds:)instead. |
| deletePoll(pollId:, completion:)           | Use async deletePoll(pollId:)instead.           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/developers/migration-guides/ios-sdk-v6.0.0-migration-guide/ios-sdk-v6.7.0-deprecation-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
